Delete Trusted Destination
curl --request DELETE \
--url https://api.anchorage-staging.com/v2/trusted_destinations/{trustedDestinationId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/trusted_destinations/{trustedDestinationId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/trusted_destinations/{trustedDestinationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Delete Trusted Destination
Permissions required: Manage Trusted Destinations
Delete a Trusted Destination
DELETE
/
trusted_destinations
/
{trustedDestinationId}
Delete Trusted Destination
curl --request DELETE \
--url https://api.anchorage-staging.com/v2/trusted_destinations/{trustedDestinationId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/trusted_destinations/{trustedDestinationId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/trusted_destinations/{trustedDestinationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
ID for the Trusted Destination to be deleted
Minimum string length:
1Query Parameters
Currently always CUSTOMER, but when other types exist this will become an enum with multiple possible values, indicating how the id field should be interpreted.
Minimum string length:
1The id of the Owner of the Trusted Destination.
- For owner type
CUSTOMER, this is the respective CustomerID.
Minimum string length:
1Response
Successfully deleted Trusted Destination
Was this page helpful?